petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMForestGetMaximumRefinement

Get the maximum level of refinement (relative to the base DM, see DMForestGetBaseDM()) allowed in the forest. If the forest is being created by refining a previous forest (see DMForestGetAdaptivityForest()), this limits the amount of refinement.

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestGetMaximumRefinement(DM dm, PetscInt *maxRefinement)

Not collective

### Input Parameter

dm -the forest

### Output Parameter

maxRefinement -default PETSC_DEFAULT (interpreted by the subtype of DMForest)

### See Also

DMForestSetMaximumRefinement(), DMForestGetMinimumRefinement(), DMForestGetInitialRefinement(), DMForestGetBaseDM(), DMForestGetAdaptivityForest()

### Level

intermediate

### Location

src/dm/impls/forest/forest.c
Index of all DMFOREST routines
Table of Contents for all manual pages
Index of all manual pages